package com.glxp.api.admin.dao.basic;

import com.glxp.api.admin.entity.basic.CorpExportLogEntity;
import com.glxp.api.admin.req.basic.FilterUdiEpLogRequest;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CorpExportLogDao {
    List<CorpExportLogEntity> filterCorpExportLog(FilterUdiEpLogRequest filterUdiEpLogRequest);

    boolean insertCorpExportLog(CorpExportLogEntity corpExportLogEntity);

    boolean updateCorpExportLog(CorpExportLogEntity corpExportLogEntity);

    boolean deleteById(@Param("id") String id);

    /**
     * 根据ID查询文件路径
     *
     * @param id
     * @return
     */
    String selectFilePathById(@Param("id") String id);
}
