package com.glxp.api.admin.entity.business;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class StockOrderEntity {

    private String id;
    private String billNo;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private String billdate;
    private String corpId;
    private String corpName;
    private String billType;
    private String billFlag;
    private String thirdSysFk;
    private String status;
    private String statusInfo;
    private String type;
    private String sourceType;
    private String printStatus;
    private String unitIdFk;
    private String customerId;
    private String thirdOrderFk;
    private String orderIdFk;
    private BigDecimal totalPrice;
    private String locStorageCode;
}
