package com.glxp.api.admin.service.basic;

import com.glxp.api.admin.entity.inout.WarehouseEntity;
import com.glxp.api.admin.res.basic.UdiRelevanceResponse;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class CustomService {

    @Resource
    UdiRelevanceService udiRelevanceService;

    public int getActCount(WarehouseEntity warehouseEntity) {
        UdiRelevanceResponse udiInfoBean;
        if (warehouseEntity.getRelId() != null) {
            udiInfoBean = udiRelevanceService.selectGroupById(warehouseEntity.getRelId());
        } else
            udiInfoBean = udiRelevanceService.selectByNameCode(warehouseEntity.getNameCode());
        if (udiInfoBean != null) {
            if (udiInfoBean.getIsUseDy() == 1 && udiInfoBean.getDiType() != 2) {
                if (udiInfoBean.getBhzxxsbzsl() == 0)
                    return udiInfoBean.getZxxsbzbhsydysl();
                else
                    return udiInfoBean.getZxxsbzbhsydysl() * udiInfoBean.getBhzxxsbzsl();
            } else {
                return udiInfoBean.getBhzxxsbzsl();
            }
        }

        return 1;
    }

}
