package com.glxp.api.admin.service.inventory;


import com.glxp.api.admin.entity.inventory.InvWarehouseEntity;
import com.glxp.api.admin.req.inventory.FilterInvWarehouseRequest;

import java.util.List;

public interface InvWarehouseService {


    InvWarehouseEntity findDefault(Boolean advaceType, Boolean isDefault);

    List<InvWarehouseEntity> filterInvWarehouse(FilterInvWarehouseRequest filterInvWarehouseRequest);

    List<InvWarehouseEntity> filterGroupInvWarehouse(FilterInvWarehouseRequest filterInvWarehouseRequest);

    boolean insertInvWarehouse(InvWarehouseEntity invWarehouseEntity);

    boolean updateInvWarehouse(InvWarehouseEntity invWarehouseEntity);

    InvWarehouseEntity selectById(String id);

    InvWarehouseEntity selectByCode(String code);

    boolean deleteById(String id);

}
